summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Azure Zanculmarktum2018-04-12 02:11:32 +0200
committer Willy Sudiarto Raharjo2018-04-14 02:06:29 +0200
commit937451c315844b8ca80a51b1efe397fcd08e0921 (patch)
tree79d36628afafcfddb2c049dc88bd59fca9b80164
parent9b1d3ef8bceb950fe4779f7012c71eee50f90d4b (diff)
downloadslackbuilds-937451c315844b8ca80a51b1efe397fcd08e0921.tar.gz
network/translate-shell: Added (a command-line translator).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--network/translate-shell/README15
-rw-r--r--network/translate-shell/slack-desc19
-rw-r--r--network/translate-shell/translate-shell.SlackBuild94
-rw-r--r--network/translate-shell/translate-shell.info10
4 files changed, 138 insertions, 0 deletions
diff --git a/network/translate-shell/README b/network/translate-shell/README
new file mode 100644
index 0000000000..7cd3d46a23
--- /dev/null
+++ b/network/translate-shell/README
@@ -0,0 +1,15 @@
+Translate Shell (formerly Google Translate CLI) is a command-line
+translator powered by Google Translate (default), Bing Translator,
+Yandex.Translate, DeepL Translator and Apertium.
+
+If you prefer zsh over bash:
+ $ TARGET=zsh ./translate-shell.SlackBuild
+
+Recommended Dependencies:
+ * mpv or espeak
+ for the Text-to-Speech functionality
+ * rlwrap
+ for readline-style editing and history in the interactive shell
+
+Recommended Fonts:
+ * https://github.com/soimort/translate-shell/wiki/Writing-Systems-and-Fonts#unicode-fonts
diff --git a/network/translate-shell/slack-desc b/network/translate-shell/slack-desc
new file mode 100644
index 0000000000..102dd6e2b3
--- /dev/null
+++ b/network/translate-shell/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+translate-shell: translate-shell (a command-line translator)
+translate-shell:
+translate-shell: Translate Shell (formerly Google Translate CLI) is a command-line
+translate-shell: translator powered by Google Translate (default), Bing Translator,
+translate-shell: Yandex.Translate, DeepL Translator and Apertium.
+translate-shell:
+translate-shell:
+translate-shell:
+translate-shell:
+translate-shell:
+translate-shell:
diff --git a/network/translate-shell/translate-shell.SlackBuild b/network/translate-shell/translate-shell.SlackBuild
new file mode 100644
index 0000000000..712d4e73e1
--- /dev/null
+++ b/network/translate-shell/translate-shell.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for translate-shell
+
+# Copyright 2018 Azure Zanculmarktum <zanculmarktum@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=translate-shell
+VERSION=${VERSION:-0.9.6.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+: ${TARGET:=bash}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+sed -i \
+ -e '/^PREFIX/s,\(/usr\)/local,\1,' \
+ -e '/^TARGET/s,bash,'"$TARGET"',' \
+ -e '/\$(PREFIX)\/share\/man/s/\(\$(PREFIX)\)\/share\(\/man\)/\1\2/' \
+ Makefile
+
+make
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CONTRIBUTING.md LICENSE Makefile README.md README.template.md WAIVER $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/translate-shell/translate-shell.info b/network/translate-shell/translate-shell.info
new file mode 100644
index 0000000000..c9859006a1
--- /dev/null
+++ b/network/translate-shell/translate-shell.info
@@ -0,0 +1,10 @@
+PRGNAM="translate-shell"
+VERSION="0.9.6.7"
+HOMEPAGE="https://www.soimort.org/translate-shell/"
+DOWNLOAD="https://github.com/soimort/translate-shell/archive/v0.9.6.7/translate-shell-0.9.6.7.tar.gz"
+MD5SUM="ceed584244a77a9eb3c08d9dea2405ba"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Azure Zanculmarktum"
+EMAIL="zanculmarktum@gmail.com"